<div class="agency-site-request">
<form [formGroup]="requestAgencySiteFormGroup">
    <app-content-banner [isDashboard]="false" pageName="New Agency Setup"></app-content-banner>

    <mat-card class="tr-main-card mat-elevation-z0">

        <mat-card-header fxLayout="column" fxLayoutGap="20px">
            <div class="top-header-filter" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="20px">
                <span>&nbsp;</span>
            </div>
        </mat-card-header>
        
        <mat-card-content class="regular-mat-form-field">
            <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="tabChanged($event)">

                <mat-tab>
                <ng-template matTabLabel>
                    <span>Requester Details</span>
                </ng-template>
                <ng-template matTabContent>

                    <div fxLayout="column" fxLayoutGap="20px">

                        <div><span>&nbsp;</span></div>
                        <div>
                            <mat-card class="consent-main-card mat-elevation-z0">
                                <div fxLayout="column" fxLayoutGap="0px" class="div-border">
                                    <div>
                                        <div fxFlex><p>Requester Information</p></div>
                                    </div>
                                    <div fxLayout="column" fxLayoutGap="10px" class="div-border">
                                        <div fxLayout="row" fxLayoutAlign="left center">
                                            <div fxFlex="8"><span class="required-label-color">First Name</span></div>
                                            <div fxFlex="25"><mat-form-field fxFlex appearance="outline">
                                                <input matInput formControlName="firstNameCtrl" maxlength="50" alphabetOnly />
                                                <mat-error *ngIf="submitted && f.firstNameCtrl.errors?.required"> {{ validationMssg.firstNameCtrl.required }}</mat-error>
                                                <mat-error *ngIf="submitted && f.firstNameCtrl.errors?.pattern"> {{ validationMssg.firstNameCtrl.pattern }}</mat-error>
                                                <mat-error *ngIf="submitted && f.firstNameCtrl.errors?.maxlength"> {{ validationMssg.firstNameCtrl.maxlength }}</mat-error>
                                                </mat-form-field>
                                            </div>
                                            <div fxFlex="8"><span class="required-label-color">Last Name</span></div>
                                            <div fxFlex="25"><mat-form-field fxFlex appearance="outline">
                                                <input matInput formControlName="lastNameCtrl" maxlength="50" alphabetOnly />
                                                <mat-error *ngIf="submitted && f.lastNameCtrl.errors?.required"> {{ validationMssg.lastNameCtrl.required }}</mat-error>
                                                <mat-error *ngIf="submitted && f.lastNameCtrl.errors?.pattern"> {{ validationMssg.lastNameCtrl.pattern }}</mat-error>
                                                <mat-error *ngIf="submitted && f.lastNameCtrl.errors?.maxlength"> {{ validationMssg.lastNameCtrl.maxlength }}</mat-error>
                                                </mat-form-field>
                                            </div>
                                            <div fxFlex="3"><span class="optional-label-color">Title</span></div> 
                                            <div fxFlex="15"><mat-form-field fxFlex appearance="outline">
                                                <input matInput formControlName="titleCtrl" maxlength="25" />
                                                <mat-error *ngIf="submitted && f.titleCtrl.errors?.required"> {{ validationMssg.titleCtrl.required }}</mat-error>
                                                <mat-error *ngIf="submitted && f.titleCtrl.errors?.pattern"> {{ validationMssg.titleCtrl.pattern }}</mat-error>
                                                <mat-error *ngIf="submitted && f.titleCtrl.errors?.maxlength"> {{ validationMssg.titleCtrl.maxlength }}</mat-error>
                                                </mat-form-field>
                                            </div>
                                            <div fxFlex><span>&nbsp;</span></div>
                                        </div>
                                        <div fxLayout="row" fxLayoutAlign="left center">
                                            <div fxFlex="8"><span class="required-label-color">Phone Number</span></div>
                                            <div fxFlex="15"><mat-form-field fxFlex appearance="outline">
                                                <input matInput formControlName="phoneCtrl" maxlength="12" mask="000-000-0000"  />
                                                <mat-error *ngIf="submitted && f.phoneCtrl.errors?.required"> {{ validationMssg.phoneCtrl.required }}</mat-error>
                                                <mat-error *ngIf="submitted && f.phoneCtrl.errors?.pattern"> {{ validationMssg.phoneCtrl.pattern }}</mat-error>
                                                <mat-error *ngIf="submitted && f.phoneCtrl.errors?.maxlength"> {{ validationMssg.phoneCtrl.maxlength }}</mat-error>
                                                </mat-form-field>
                                            </div>
                                            <div fxFlex="10"><span>&nbsp;</span></div>
                                            <div fxFlex="8"><span class="required-label-color">Email Address</span></div>
                                            <div fxFlex="25"><mat-form-field fxFlex appearance="outline">
                                                <input matInput formControlName="emailCtrl" maxlength="50" />
                                                <mat-error *ngIf="submitted && f.emailCtrl.errors?.required"> {{ validationMssg.emailCtrl.required }}</mat-error>
                                                <mat-error *ngIf="submitted && f.emailCtrl.errors?.email"> {{ validationMssg.emailCtrl.email }}</mat-error>
                                                <mat-error *ngIf="submitted && f.emailCtrl.errors?.maxlength"> {{ validationMssg.emailCtrl.maxlength }}</mat-error>
                                                </mat-form-field>
                                            </div>
                                            <div fxFlex><span>&nbsp;</span></div>
                                        </div>
                                        <div fxLayout="row" fxLayoutAlign="left center">
                                            <div fxFlex="30"><span class="required-label-color">Transmit Survey and Application to HRA for Housing Eligibility Review</span></div>
                                            <div fxFlex>
                                                <mat-radio-group formControlName="surveyApplicationCtrl" name="surveyApplicationCtrl" (change)="radioChange($event)" [(ngModel)]="surveyApplicationModel">
                                                    <mat-radio-button class="mat-radio-label" *ngFor="let ynType of yesNoTypes" [value]="ynType.refGroupDetailID">{{ynType.refGroupDetailDescription}}</mat-radio-button>
                                                    <mat-error class="mat-radio-error" *ngIf="submitted && f.surveyApplicationCtrl.errors?.radioGroupRequired"> {{ validationMssg.surveyApplicationCtrl.required }}</mat-error>
                                                </mat-radio-group>
                                            </div>
                                        </div>
                                        <div fxLayout="row" fxLayoutAlign="left center">
                                            <div fxFlex="30"><span class="required-label-color">Transmit and Monitor Housing Referral and Placement Information</span></div>
                                            <div fxFlex>
                                                <mat-radio-group formControlName="referralPlacementCtrl" name="referralPlacementCtrl" (change)="radioChange($event)" [(ngModel)]="housingReferralPlacementModel">
                                                    <mat-radio-button class="mat-radio-label" *ngFor="let ynType of yesNoTypes" [value]="ynType.refGroupDetailID">{{ynType.refGroupDetailDescription}}</mat-radio-button>
                                                    <mat-error class="mat-radio-error" *ngIf="submitted && f.referralPlacementCtrl.errors?.radioGroupRequired"> {{ validationMssg.referralPlacementCtrl.required }}</mat-error>
                                                </mat-radio-group>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </mat-card>
                        </div>

                    </div>
                    
                </ng-template>
                </mat-tab>

                <mat-tab *ngIf="housingReferralPlacementModel == '33'">
                    
                <ng-template matTabLabel>
                    <span>Agency & Site Details</span>
                </ng-template>
                <ng-template matTabContent>
                    
                    <div fxLayout="column" fxLayoutGap="0px">

                        <div><span>&nbsp;</span></div>
                    
                        <div>
                        <mat-card class="mat-elevation-z0">
                            <div fxLayout="column" fxLayoutGap="5px" class="div-border">
                                <div>
                                    <div><p>Agency Details</p></div>
                                </div>
                                <div class="div-border">
                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <div fxFlex="10"><span class="required-label-color">Agency Name</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex appearance="outline"><input type="text" matInput formControlName="agencyNameCtrl" maxlength="100" (blur)="checkDuplicateAgency($event)" />
                                            <mat-error *ngIf="submitted && f.agencyNameCtrl.errors?.required"> {{ validationMssg.agencyNameCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.agencyNameCtrl.errors?.pattern"> {{ validationMssg.agencyNameCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.agencyNameCtrl.errors?.maxlength"> {{ validationMssg.agencyNameCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex="10"><span class="required-label-color">Agency Type</span></div>
                                        <div fxFlex="30">
                                            <mat-form-field appearance="outline" fxFlex>
                                                    <mat-select formControlName="agencyTypeCtrl">
                                                    <mat-option *ngIf="preSelectedAgencyType < 1" [value]="0">Select</mat-option>
                                                    <mat-option *ngFor="let agencyType of agencyTypes" [value]="agencyType.siteTypeCode">
                                                        {{agencyType.typeDescription}}
                                                      </mat-option>
                                                    </mat-select>
                                                    <mat-error *ngIf="submitted && f.agencyTypeCtrl.errors?.dropdownRequired"> {{ validationMssg.agencyTypeCtrl.required }}</mat-error>
                                            </mat-form-field>
                                        </div>
                                        <div fxFlex><span>&nbsp;</span></div>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <div fxFlex="10"><span class="required-label-color">Street Address</span></div>
                                        <div fxFlex="30"><mat-form-field appearance="outline" fxFlex><input matInput formControlName="agencyAddressCtrl" maxlength="200" />
                                            <mat-error *ngIf="submitted && f.agencyAddressCtrl.errors?.required"> {{ validationMssg.agencyAddressCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.agencyAddressCtrl.errors?.pattern"> {{ validationMssg.agencyAddressCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.agencyAddressCtrl.errors?.maxlength"> {{ validationMssg.agencyAddressCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex="10"><span class="required-label-color">City</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput alphabetSpace formControlName="agencyCityCtrl" maxlength="50" />
                                            <mat-error *ngIf="submitted && f.agencyCityCtrl.errors?.required"> {{ validationMssg.agencyCityCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.agencyCityCtrl.errors?.pattern"> {{ validationMssg.agencyCityCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.agencyCityCtrl.errors?.maxlength"> {{ validationMssg.agencyCityCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex><span>&nbsp;</span></div>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <div fxFlex="10"><span class="required-label-color">State</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput alphabetOnly formControlName="agencyStateCtrl" maxlength="2" />
                                            <mat-error *ngIf="submitted && f.agencyStateCtrl.errors?.required"> {{ validationMssg.agencyStateCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.agencyStateCtrl.errors?.pattern"> {{ validationMssg.agencyStateCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.agencyStateCtrl.errors?.maxlength"> {{ validationMssg.agencyStateCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex="10"><span class="required-label-color">Zip Code</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput digitOnly formControlName="agencyZipCodeCtrl" maxlength="5" />
                                            <mat-error *ngIf="submitted && f.agencyZipCodeCtrl.errors?.required"> {{ validationMssg.agencyZipCodeCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.agencyZipCodeCtrl.errors?.pattern"> {{ validationMssg.agencyZipCodeCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.agencyZipCodeCtrl.errors?.maxlength"> {{ validationMssg.agencyZipCodeCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex><span>&nbsp;</span></div>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <div fxFlex="10"><span class="required-label-color">Contact First Name</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput formControlName="contactFirstCtrl" maxlength="50" />
                                            <mat-error *ngIf="submitted && f.contactFirstCtrl.errors?.required"> {{ validationMssg.contactFirstCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactFirstCtrl.errors?.pattern"> {{ validationMssg.contactFirstCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactFirstCtrl.errors?.maxlength"> {{ validationMssg.contactFirstCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex="10"><span class="required-label-color">Contact Last Name</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput formControlName="contactLastCtrl" maxlength="50" />
                                            <mat-error *ngIf="submitted && f.contactLastCtrl.errors?.required"> {{ validationMssg.contactLastCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactLastCtrl.errors?.pattern"> {{ validationMssg.contactLastCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactLastCtrl.errors?.maxlength"> {{ validationMssg.contactLastCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex><span>&nbsp;</span></div>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <div fxFlex="10"><span class="optional-label-color">Contact Office Title</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput formControlName="contactTitleCtrl" maxlength="25" />
                                            <mat-error *ngIf="submitted && f.contactTitleCtrl.errors?.required"> {{ validationMssg.contactTitleCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactTitleCtrl.errors?.pattern"> {{ validationMssg.contactTitleCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactTitleCtrl.errors?.maxlength"> {{ validationMssg.contactTitleCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex="10"><span class="required-label-color">Contact Email</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput formControlName="contactEmailCtrl" maxlength="50" />
                                            <mat-error *ngIf="submitted && f.contactEmailCtrl.errors?.required"> {{ validationMssg.contactEmailCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactEmailCtrl.errors?.email"> {{ validationMssg.contactEmailCtrl.email }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactEmailCtrl.errors?.maxlength"> {{ validationMssg.contactEmailCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex><span>&nbsp;</span></div>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <div fxFlex="10"><span class="required-label-color">Contact Office Phone</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput formControlName="contactPhoneCtrl" maxlength="12" mask="000-000-0000" />
                                            <mat-error *ngIf="submitted && f.contactPhoneCtrl.errors?.required"> {{ validationMssg.contactPhoneCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactPhoneCtrl.errors?.pattern"> {{ validationMssg.contactPhoneCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactPhoneCtrl.errors?.maxlength"> {{ validationMssg.contactPhoneCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex="10"><span class="optional-label-color">Office Extension</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput digitOnly formControlName="contactExtnCtrl" maxlength="4" />
                                            <mat-error *ngIf="submitted && f.contactExtnCtrl.errors?.required"> {{ validationMssg.contactExtnCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactExtnCtrl.errors?.pattern"> {{ validationMssg.contactExtnCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactExtnCtrl.errors?.maxlength"> {{ validationMssg.contactExtnCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex><span>&nbsp;</span></div>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <div fxFlex="10"><span class="optional-label-color">Contact Cell</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput formControlName="contactCellCtrl" maxlength="12" mask="000-000-0000" />
                                            <mat-error *ngIf="submitted && f.contactCellCtrl.errors?.required"> {{ validationMssg.contactCellCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactCellCtrl.errors?.pattern"> {{ validationMssg.contactCellCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactCellCtrl.errors?.maxlength"> {{ validationMssg.contactCellCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex="10"><span class="optional-label-color">Contact Fax</span></div>
                                        <div fxFlex="30"><mat-form-field fxFlex="60" appearance="outline"><input matInput formControlName="contactFaxCtrl" maxlength="12" mask="000-000-0000" />
                                            <mat-error *ngIf="submitted && f.contactFaxCtrl.errors?.required"> {{ validationMssg.contactFaxCtrl.required }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactFaxCtrl.errors?.pattern"> {{ validationMssg.contactFaxCtrl.pattern }}</mat-error>
                                            <mat-error *ngIf="submitted && f.contactFaxCtrl.errors?.maxlength"> {{ validationMssg.contactFaxCtrl.maxlength }}</mat-error>
                                        </mat-form-field></div>
                                        <div fxFlex><span>&nbsp;</span></div>
                                    </div>

                                </div>
                            </div>
                        </mat-card>
                        </div>
                        
                        <div>
                        <mat-card class="mat-elevation-z0">
                            <div fxLayout="column" fxLayoutGap="5px" class="div-border">
                                <div fxLayout="row" fxLayoutAlign="left center">
                                    <div fxFlex><p>Site Details</p></div>
                                </div>
                                <div formArrayName="sitesFormArray" *ngFor="let item of allSitesCtrlArry.controls; let i = index;">
                                    <div fxLayout="column" fxLayoutGap="5px" class="div-border" [formGroupName]="i">
                                        <div fxLayout="row" fxLayoutAlign="left center">
                                            <div fxFlex="10"><span class="required-label-color">Site Name</span></div>
                                            <div fxFlex="25"><mat-form-field fxFlex appearance="outline"><input type="text" matInput formControlName="siteNameCtrl" maxlength="100" (blur)="checkDuplicateSite($event)" />
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteNameCtrl.errors?.required"> {{ validationMssg.siteNameCtrl.required }}</mat-error>
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteNameCtrl.errors?.pattern"> {{ validationMssg.siteNameCtrl.pattern }}</mat-error>
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteNameCtrl.errors?.maxlength"> {{ validationMssg.siteNameCtrl.maxlength }}</mat-error>
                                            </mat-form-field></div>
                                            <div fxFlex="10"><span class="required-label-color">Street Address</span></div>
                                            <div fxFlex="35"><mat-form-field appearance="outline" fxFlex><input matInput formControlName="siteAddressCtrl" maxlength="200" />
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteAddressCtrl.errors?.required"> {{ validationMssg.siteAddressCtrl.required }}</mat-error>
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteAddressCtrl.errors?.maxlength"> {{ validationMssg.siteAddressCtrl.maxlength }}</mat-error>
                                            </mat-form-field></div>
                                            <div fxFlex><span>&nbsp;</span></div>
                                        </div>
                                        <div fxLayout="row" fxLayoutAlign="left center">
                                            <div fxFlex="10"><span class="required-label-color">City</span></div>
                                            <div fxFlex="25"><mat-form-field fxFlex appearance="outline"><input matInput alphabetSpace formControlName="siteCityCtrl" maxlength="50" />
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteCityCtrl.errors?.required"> {{ validationMssg.siteCityCtrl.required }}</mat-error>
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteCityCtrl.errors?.pattern"> {{ validationMssg.siteCityCtrl.pattern }}</mat-error>
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteCityCtrl.errors?.maxlength"> {{ validationMssg.siteCityCtrl.maxlength }}</mat-error>
                                            </mat-form-field></div>
                                            <div fxFlex="10"><span class="required-label-color">State</span></div>
                                            <div fxFlex="12"><mat-form-field fxFlex="80" appearance="outline"><input alphabetOnly matInput formControlName="siteStateCtrl" maxlength="2" />
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteStateCtrl.errors?.required"> {{ validationMssg.siteStateCtrl.required }}</mat-error>
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteStateCtrl.errors?.pattern"> {{ validationMssg.siteStateCtrl.pattern }}</mat-error>
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteStateCtrl.errors?.maxlength"> {{ validationMssg.siteStateCtrl.maxlength }}</mat-error>
                                            </mat-form-field></div>
                                            <div fxFlex="8"><span class="required-label-color">Zip Code</span></div>
                                            <div fxFlex="15"><mat-form-field fxFlex="80" appearance="outline"><input matInput digitOnly formControlName="siteZipCodeCtrl" maxlength="5" />
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteZipCodeCtrl.errors?.required"> {{ validationMssg.siteZipCodeCtrl.required }}</mat-error>
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteZipCodeCtrl.errors?.pattern"> {{ validationMssg.siteZipCodeCtrl.pattern }}</mat-error>
                                                <mat-error *ngIf="submitted && siteCtrlsArryAt(i).controls.siteZipCodeCtrl.errors?.maxlength"> {{ validationMssg.siteZipCodeCtrl.maxlength }}</mat-error>
                                            </mat-form-field></div>
                                            <div fxFlex><span>&nbsp;</span></div>
                                        </div>
                                        <div fxLayout="row" fxLayoutAlign="left">
                                            <div fxFlex="20"><span [ngClass]="isHPSiteCtrlDisabled ? '' : 'required-label-color'">Is this a Housing Provider Site?</span></div>
                                            <div fxFlex="12">
                                                <mat-radio-group formControlName="isHPSiteCtrl" name="isHPSiteCtrl" [(ngModel)]="isHPSiteCtrlValue" (click)="isHPSiteCtrlClick($event)" [disabled]="isHPSiteCtrlDisabled">
                                                    <mat-radio-button class="mat-radio-label" *ngFor="let ynType of yesNoTypes" [value]="ynType.refGroupDetailID" [checked]="ynType.refGroupDetailDescription === isHPSiteCtrlSelectedLabel"> {{ynType.refGroupDetailDescription}}</mat-radio-button>
                                                    <mat-error class="mat-radio-error" *ngIf="!isHPSiteCtrlDisabled && submitted && siteCtrlsArryAt(i).controls.isHPSiteCtrl.errors?.radioGroupRequired"> {{ validationMssg.isHPSiteCtrl.required }}</mat-error>
                                                </mat-radio-group>
                                            </div>
                                            <div fxFlex fxLayoutAlign="right top">
                                                <mat-icon (click)="deleteSite(i)" matTooltip="Delete Site" style="cursor: pointer;" class="doc-action-icon" color="warn" *ngIf="i > 0">delete_forever</mat-icon>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </mat-card>
                        </div>
                    
                    </div>

                </ng-template>
                </mat-tab>

            </mat-tab-group>

        </mat-card-content>

        <mat-card-actions>
        <div fxLayout="row" style="margin-left: 15px; margin-right: 15px;">
            <div fxFlex="70" fxLayoutAlign="start" fxLayoutGap="5px">
                <button mat-raised-button color="primary" *ngIf="housingReferralPlacementModel == '33' && tabSelectedIndex == 1" (click)="onSubmitHousingAgency()">Submit</button>
                <button mat-raised-button color="primary" *ngIf="tabSelectedIndex == 1" [disabled]="disableRejectButton" (click)="onReject()">Reject</button>
                <button mat-raised-button color="primary" *ngIf="surveyApplicationModel == '33' && housingReferralPlacementModel == '34'" (click)="onSubmitReferralAgency()">Submit</button>
                <button type="reset" mat-raised-button color="primary" (click)="resetForm()">Clear</button>
            </div>
            <div fxFlex fxLayoutAlign="end" fxLayoutGap="5px">
                <button mat-raised-button *ngIf="tabSelectedIndex > 0" color="primary" fxFlexAlign="right" (click)="previousTab()">Previous</button>
                <button mat-raised-button *ngIf="tabSelectedIndex < 1 && housingReferralPlacementModel == '33'" color="primary" fxFlexAlign="right" (click)="nextTab()">Next</button>
            </div>
        </div>
        </mat-card-actions> 
</mat-card>
</form>
</div>